App\Entity\Institution\Institution:
  operations:
    ApiPlatform\Metadata\Get:
      output: App\Dto\ReadModel\Institution\Institution
      provider: App\State\Provider\Institution\RetreiveInstitution
      normalizationContext:
        groups: [ 'institution:read', 'address:read' ]

    ApiPlatform\Metadata\Post:
      inputFormats:
        multipart: ['multipart/form-data']
      input: App\Dto\WriteModel\Institution\Institution
      output: App\Dto\ReadModel\Institution\Institution
      processor: App\State\Processor\Institution\CreateInstitution
      normalizationContext:
        groups: [ 'institution:read', 'address:read' ]
      denormalizationContext:
        groups: [ 'institution:write', 'address:write', 'account:write' ]

    ApiPlatform\Metadata\GetCollection:
      output: App\Dto\ReadModel\Institution\Institution
      provider: App\State\Provider\Institution\RetreiveCollectionInstitution
      normalizationContext:
        groups: [ 'institution:read', 'address:read' ]  